vennaVenna

Moderations

Content moderation classification.

Not yet implemented
POST
/v1/moderations
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/moderations" \  -H "Content-Type: application/json" \  -d '{    "input": "string"  }'
{  "id": "string",  "model": "string",  "results": [    {      "categories": {        "property1": true,        "property2": true      },      "category_scores": {        "property1": 0,        "property2": 0      },      "flagged": true    }  ]}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}